path = get_absolute_file_path("SampleCodeGen.dem.sce");

exec(fullfile(path, "SampleCodeGenInit.sce"));
xcos(fullfile(path, "SampleCodeGenModel.zcos"));

loadXcosLibs();
importXcosDiagram(fullfile(path, "SampleCodeGenModel.zcos"));

// look for the superblock
function [scs_m_selected_path] = look_for(scs_m, name)
scs_m_selected_path = [];
    for i=1:length(scs_m.objs)
        if typeof(scs_m.objs(i)) == "Block" then
            if scs_m.objs(i).model.label == name then
                scs_m_selected_path = i;
                break;
            end
        end
    end
endfunction

name = "SampleCodeGen";
ok = xcg_codegenerator(scs_m, TMPDIR, look_for(scs_m, name));
scinotes(fullfile(TMPDIR, name + ".sci"));

generated_scilab_files = [fullfile(TMPDIR, name+"_scenario.sce")
fullfile(TMPDIR, name + ".sci")
fullfile(TMPDIR, name + "_inputs.sci")
fullfile(TMPDIR, name + "_outputs.sci")];

emx_codegen(generated_scilab_files, struct("outdir", TMPDIR))
// emx_codegen_remote(generated_scilab_files, TMPDIR);
scinotes(TMPDIR + filesep() + name + ".c");
